This GET method allows you to retrieve a list of purchase orders from your administration. You can also retreive the details of a single purchase using the OrderNumber request parameter.
Notes:
- Maximum 50 orders will be returned per request
- You can retrieve more orders by doing multiple requests and using the offset parameter
- The returned invoices will be sorted by createddate (descending)
- Request
- Response
Parameters
CURL Example
|
1 |
curl -X GET -H "Content-Type: application/json" -H "ApiKey: b7d343Bnhd436f3ec3bd3504582" -H "Username: [email protected]" "https://rest-api.silvasoft.nl//rest/listpurchaseorders" |
Parameters
Response JSON Example
The response order can vary from the parameter order above|
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 |
[{ "OrderNumber": 176, "SupplierNumber": 2, "SupplierName": "test 2", "OrderDate": "2026-01-22T12:56:06.557Z", "PurchaseOrderLines": [ { "ProductNumber": "1", "ProductEAN": "80988915", "ProductName": "Voorbeeld 1", "ProductVPE": 23, "VPEOrdered": 1 }, { "ProductNumber": "2", "ProductEAN": "80988918", "ProductName": "Voorbeeld 2", "ProductVPE": 2, "VPEOrdered": 8 } ], "OrderStatus": "Final", "ReceiptStatus": "NothingReceived" }] |